## CamelGpgContext CamelGpgContext |

## Functions

CamelCipherContext * | camel_gpg_context_new ()
gboolean | camel_gpg_context_get_always_trust ()
void | camel_gpg_context_set_always_trust ()

## Properties

gboolean | always-trust | Read / Write / Construct

## Types and Values

struct | CamelGpgContext

## Object Hierarchy

        GObject
        ╰── CamelCipherContext
            ╰── CamelGpgContext

## Description

## Functions

### camel_gpg_context_new ()

    CamelCipherContext *
    camel_gpg_context_new (CamelSession *session);

Creates a new gpg cipher context object.

#### Parameters

session | session |

#### Returns

a new gpg cipher context object.

### camel_gpg_context_get_always_trust ()

    gboolean
    camel_gpg_context_get_always_trust (CamelGpgContext *context);

#### Parameters

context | a CamelGpgContext |

Since: 2.32

### camel_gpg_context_set_always_trust ()

    void
    camel_gpg_context_set_always_trust (CamelGpgContext *context,
                                        gboolean always_trust);

Sets the `always_trust` flag on the gpg context which is used for encryption.

#### Parameters

context | gpg context `always_trust` always truct flag |

## Types and Values

### struct CamelGpgContext

    struct CamelGpgContext;

## Property Details

### The `“always-trust”` property

      “always-trust”             gboolean

Flags: Read / Write / Construct

Default value: FALSE